package com.example.catchTheLetters.entity;

import com.example.catchTheLetters.enums.MessageType;
import lombok.Data;

import java.io.Serializable;

/**
 * 游戏消息
 *
 * @auther spyn
 */
@Data
public class GameMessage<T> implements Serializable {
    private String roomId;
    private MessageType type;
    private T data;

    public GameMessage(MessageType type, T data) {
        this.type = type;
        this.data = data;
    }

    public GameMessage(String roomId, MessageType type, T data) {
        this.roomId = roomId;
        this.type = type;
        this.data = data;
    }
}
