package com.example.catchTheLetters.entity;

import lombok.Data;

import java.io.Serializable;

/**
 * 游戏中的玩家
 *
 * @auther spyn
 */
@Data
public class PlayerInGame implements Serializable {
    private String userId;
    private User user;
    private int score;
    private int health;
    private String currentWord;
    private String currentAnswer;

    public PlayerInGame(String userId, User user) {
        this.userId = userId;
        this.user = user;
        this.score = 0;
        this.health = 100;
        this.currentWord = "";
        this.currentAnswer = "";
    }
}
