package com.example.catchTheLetters.model.vo;

import lombok.Data;

/**
 * 字母
 *
 * @author spyn
 */
@Data
public class Letter {
    // 字母值，如果是10则是加血
    private String letterVal;

    // 下落速度
    private float speed = 3f;

    // 字母的x坐标，0-1之间
    private float x;

    public Letter(String letterVal, float x) {
        this.letterVal = letterVal;
        this.x = x;
    }

    public Letter(String letterVal, float x, float speed) {
        this.letterVal = letterVal;
        this.x = x;
        this.speed = speed;
    }
}
