package com.example.catchTheLetters;

import com.example.catchTheLetters.entity.PlayerInput;
import com.example.catchTheLetters.enums.InputKeyType;
import com.example.catchTheLetters.enums.InputState;
import com.fasterxml.jackson.core.JsonProcessingException;
import com.fasterxml.jackson.databind.ObjectMapper;
import org.junit.jupiter.api.Test;
import org.springframework.boot.test.context.SpringBootTest;

@SpringBootTest
class JSONTest {
    private final ObjectMapper objectMapper = new ObjectMapper();

    @Test
    void contextLoads() throws JsonProcessingException {
        var input = new PlayerInput(InputKeyType.LEFT, InputState.PRESS);
        System.out.println(objectMapper.writeValueAsString(input));
    }
}
